[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [E-devel] imlib2 1.3.0 broken?



Mathias Homann wrote:
Hi,

when i build qcomicbook against imlib2 1.2.x it works just fine; when i build against 1.3.0 i get the following error messages when running it:
***** Imlib2 Developer Warning ***** :
        This program is calling the Imlib call:
        imlib_image_get_height();
        With the parameter:
        image
        being NULL. Please fix your program.


but imlib_image_get_height is defined as
int imlib_image_get_height(void) ???

and the code in question properly sets imlib_context_set_image before calling imlib_image_get_height() or imlib_image_get_width(), and in fact it works with 1.2.1 even if the binary was built against 1.3.0. So, where do I fix this?

I just built qcomicbook-0.3.3 with imlib2-1.3.0. Seems to work fine.
Any chance your imlib2-1.3.0 installation is incomplete/broken?

/Kim